openSUSE Leap 42.2

The place to discuss linux version of MakeMKV
Post Reply
purevw
Posts: 5
Joined: Sat May 13, 2017 1:19 pm

openSUSE Leap 42.2

Post by purevw » Sat May 13, 2017 1:26 pm

I've been using MakeMKV on openSUSE 42.1 for quite some time. I recently did a clean install of openSUSE 42.2 and installed MakeMKV. The installation of MakeMKV went without errors, but the program only gives the message "Application failed to initialize" whether I launch from the launcher or via a terminal. makemkvcon seems to work, so I assume there is some kind of problem with the gui.

Is anyone able to help troubleshoot?

purevw
Posts: 5
Joined: Sat May 13, 2017 1:19 pm

Re: openSUSE Leap 42.2

Post by purevw » Tue May 16, 2017 11:41 am

Actually, makemkvcon is also broken. If I type the command makemkvcon by itself, I am given the help menu. If I try to actually run any commands, I am given "failed to initialize".

purevw
Posts: 5
Joined: Sat May 13, 2017 1:19 pm

Re: openSUSE Leap 42.2

Post by purevw » Thu May 18, 2017 12:45 pm

I have re-installed 1.10.5 using the this forum's updated post concerning installation on openSUSE 42.2 with no luck. The installation completes without a single error, but I am still greeted with "failed to initialize" if I open with klauncher, via command line, or try to run makemkvcon directly from a terminal.
Version 1.9.8 installs and opens but is displaying aacs errors and cannot decrypt.

rail02000
Posts: 2
Joined: Thu Jun 15, 2017 5:52 am

Re: openSUSE Leap 42.2

Post by rail02000 » Thu Jun 15, 2017 6:08 am

Hi, I got the same error "Application failed to initialize" using MakeMKV 1.10.6 on my openSUSE Leap 42.2 too.Neither build by myself nor install via repository provided by Packman, it didn't work.
When i tried to run "makemkvcon -r info disc:0" in terminal, "Application failed to initialize" message appeared again.

However, it works fine when i downgrade to v1.9.2 (i have bought the code before).
I just bought a BD with AACS v61 so i hope there is anyway to solve the problem, thanks.

purevw
Posts: 5
Joined: Sat May 13, 2017 1:19 pm

Re: openSUSE Leap 42.2

Post by purevw » Thu Jun 15, 2017 9:04 am

rail02000 wrote: I just bought a BD with AACS v61 so i hope there is anyway to solve the problem, thanks.
I ended up doing a fresh install of openSUSE Tumbleweed, mainly to take advantage of the newer amdgpu driver. A pleasant side effect was that when I did a fresh install of MakeMKV from Packman, everything worked correctly. I just added my purchase code when I first started the program and all is well. I never got it to work correctly in openSUSE 42.2

rail02000
Posts: 2
Joined: Thu Jun 15, 2017 5:52 am

Re: openSUSE Leap 42.2

Post by rail02000 » Thu Jun 15, 2017 3:50 pm

purevw wrote: I ended up doing a fresh install of openSUSE Tumbleweed, mainly to take advantage of the newer amdgpu driver. A pleasant side effect was that when I did a fresh install of MakeMKV from Packman, everything worked correctly. I just added my purchase code when I first started the program and all is well. I never got it to work correctly in openSUSE 42.2
Thanks for reply! My system is running on Intel HD Graphics for a few more years, maybe it's not the driver issue... I will try to upgrade the system to Tumbleweed sometime.

purevw
Posts: 5
Joined: Sat May 13, 2017 1:19 pm

Re: openSUSE Leap 42.2

Post by purevw » Thu Jun 15, 2017 11:37 pm

rail02000 wrote: Thanks for reply! My system is running on Intel HD Graphics for a few more years, maybe it's not the driver issue... I will try to upgrade the system to Tumbleweed sometime.
I wasn't suggesting that the graphics driver had anything to do with the MakeMKV problem. It is just the reason that I switched to Tumbleweed.

Post Reply